Could not find RubyGem

I've just installed RubyMine (after having this same problem with IDEA Ruby plugin). I've configured my Ruby SDK, and used the GemManager to install two gems (httpclient and soap4j). The two gems are visible in the Project tree under "External Libraries", and I can navigate into the gem's source files using the ^B shortcut from my own source file, but when I try to execute my Ruby script from within IDEA/RubyMine I get this error:

  /usr/lib/ruby/1.8/rubygems.rb:827: in 'report_activate_error' : Count not find RubyGem httpclient (>= 0) (Gem::LoadError)

What am I doing wrong? I'm using RubyMine 2.0.2 on Ubuntu 10.04.

1 comment
Comment actions Permalink

I still haven't figured out my problem. Anyone have any ideas for suggestions for me? Here's the output from RubyGems Environment:

RubyGems Environment:
RUBYGEMS VERSION: 1.3.5
RUBY VERSION: 1.8.7 (2010-01-10 patchlevel 249) [x86_64-linux]
INSTALLATION DIRECTORY: /var/lib/gems/1.8
RUBY EXECUTABLE: /usr/bin/ruby1.8
EXECUTABLE DIRECTORY: /var/lib/gems/1.8/bin
RUBYGEMS PLATFORMS:
  ruby
  x86_64-linux
GEM PATHS:
   /var/lib/gems/1.8
   /home/brad/.gem/ruby/1.8
GEM CONFIGURATION:
   :update_sources => true
   :verbose => true
   :benchmark => false
   :backtrace => false
   :bulk_threshold => 1000
REMOTE SOURCES:
   http://gems.rubyforge.org/
----------------------
RubyMine SDK Environment:
Sdk: Ruby SDK 1.8.7 (/usr/bin/ruby)
Sdk Version: ver.1.8.7
Ruby Interpreter: /usr/bin/ruby
RVM Sdk: no
Sdk Language Level: 1.8
Sdk Load Path:
     /usr/lib/ruby/1.8
     /usr/lib/ruby/1.8/x86_64-linux
     /opt/rubymine/rubymine93.202/rubystubs18
Sdk Gem paths:
     file:///home/brad/.gem/ruby/1.8/gems
     file:///var/lib/gems/1.8/gems

0

Please sign in to leave a comment.